> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onconsul.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pagination

All list endpoints return a paginated response with two fields:

* `data`: an array of results.
* `next_cursor`: an opaque cursor for fetching the next page. `null` when there are no more results.

Pass `page_size` to control the number of items per page (default and max: 100). To fetch the next page, pass the returned `next_cursor` as the `cursor` query parameter.

### Example

```shell theme={"system"}
# First page
curl "https://api.onconsul.com/v1/recipients?page_size=25" \
  -H "Authorization: Basic base64($CONSUL_API_KEY)"

# Next page
curl "https://api.onconsul.com/v1/recipients?page_size=25&cursor=eyJpZCI6..." \
  -H "Authorization: Basic base64($CONSUL_API_KEY)"
```
